
Foreman - Bug #5389

URL doesn't update correctly after creating a new host

04/22/2014 08:59 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a new host successfully, foreman redirects to the host show page, however, the url remains /hosts/new.

This seems to break the AJAX which updates the VM info.

Related issues:

Related to Foreman - Bug #5065: pressing "Cancel Build"/"Build" button return... Assigned 04/03/2014

Related to Foreman - Feature #3592: Lazily load compute resource VM details t... Closed 11/06/2013

Related to Foreman - Bug #5470: vm power state is not updating after, new hos... Closed 04/28/2014

Related to Foreman - Bug #4310: URL on host edit page after submitting changes New 02/10/2014

History

#1 - 04/22/2014 09:32 AM - Dominic Cleal

- Related to Bug #5065: pressing "Cancel Build"/"Build" button returns a 404 if the host has been just renamed. added

#2 - 04/22/2014 08:51 PM - Stephen Benjamin

I hit this now where the VM power controls aren't loading anymore due to this bug.

Ohad pointed out the relevant Javascript is here:

[22:06] < ohadlevy> Dominic: i dont think its hard to fix, its at 

                    https://github.com/theforeman/foreman/blob/develop/app/assets/javascripts/host_edit.js#L86

 I poked it with a stick to see if I could get it to something. I'm not sure exactly what I'm doing with jQuery... it seems I need to return response.redirect

so the javascript triggers a true redirect instead of loading the content into a div or whatever it's doing there.

#3 - 04/25/2014 08:24 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#4 - 04/25/2014 08:26 AM - Dominic Cleal

- Related to Feature #3592: Lazily load compute resource VM details through AJAX for performance added

#5 - 04/28/2014 11:39 AM - Dominic Cleal

- Related to Bug #5470: vm power state is not updating after, new host completion. added

#6 - 04/28/2014 11:43 AM - Dominic Cleal

- translation missing: en.field_release deleted (4)

The AJAX part is being addressed via #5470.

#7 - 04/29/2014 01:25 PM - Dominic Cleal

- Status changed from New to Ready For Testing
https://projects.theforeman.org/issues/5470


- Assignee set to Amos Benari

- Target version set to 1.8.3

https://github.com/theforeman/foreman/pull/1410

#8 - 04/30/2014 07:41 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#9 - 04/30/2014 05:21 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

This was merged as 5f58478b95ffd51eb41f53718e09c03a3613c827 with the wrong issue number.

#10 - 05/12/2014 03:37 PM - Dominic Cleal

- Related to Bug #4310: URL on host edit page after submitting changes added
